# © 2021 Le Filament (<http://www.le-filament.com>)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).


from odoo import http
from odoo.http import request
from odoo.addons.website.controllers.main import Website


class Website(Website):

	###############################################
	##  HOME
	###############################################
	@http.route('/', type='http', auth="public", website=True)
	def index(self, **kw):
		res = super(Website, self).index(**kw)

		cat_ids = request.env['product.public.category'].search([])
		# list_qty = request.env['nichoirs.stat.year'].read_group(
		# 	[], ['categ_id', 'nichoirs_proprata_qty'],
		# 	['categ_id'], lazy=False
		# )

		return request.render('website.homepage', {
			# 'list_qty': list_qty,
			'cat_ids': cat_ids
		})
